# Uses of Interface
org.apache.solr.common.util.JavaBinCodec.ObjectResolver

Packages that use JavaBinCodec.ObjectResolver
Package
Description
org.apache.solr.common.util
Common utility classes reused on both clients & server.

## Uses of JavaBinCodec.ObjectResolver in org.apache.solr.common.util

Methods in org.apache.solr.common.util that return JavaBinCodec.ObjectResolver
Modifier and Type
Method
Description
`JavaBinCodec.ObjectResolver`
JavaBinCodec.`getResolver()`
Constructors in org.apache.solr.common.util with parameters of type JavaBinCodec.ObjectResolver
Modifier
Constructor
Description
``
`JavaBinCodec(OutputStream os, JavaBinCodec.ObjectResolver resolver)`
Use this to use this as a PushWriter.
``
`JavaBinCodec(JavaBinCodec.ObjectResolver resolver)`
``
`JavaBinCodec(JavaBinCodec.ObjectResolver resolver, JavaBinCodec.StringCache stringCache)`